#' Report generation UI component
#'
#' Generates UI elements for a module dedicated for analysis report generation
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples
#' generateReport_UI("generateReport_Module")
generateReport_UI <- function(id) {
  ns <- NS(id)

  tagList(
    h2("CogentDS Analysis Report"),
    downloadButton(ns("scDNA_Report"), 'Download CogentDS Analysis Report', style='color:#fff; background-color:#1c82e0')
  )
}