#' Gene fusion analysis module ui logic
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples
#' geneFusionUI("geneFusionModule")
geneFusionUI <- function(id) {
  ns <- NS(id)
  fluidPage(
    titlePanel("Gene Fusion Analysis"),
    h5("Gene Fusions are reported by CogentAP using STAR-Fusion. Please see CogentAP user manual for more information"),
    h5("Please see: CogentDS only allows visualization for top 5000 fusions based on junctions reads and span fragments. For large number of barcodes (>10k), a max of 3 selections are recommended."),
    fluidRow(
      uiOutput(ns("ConditionalParamteres")),
      column(8,
             uiOutput(ns("downloadPlotUI")),
             selectInput(ns("FusionPlt"), "File Type Selection:", choices = list("PNG" = ".png", "PDF" = ".pdf", "SVG" = ".svg", "JPEG" = ".jpeg"), selected = ".png"),
             plotlyOutput(ns("fusion_plot"), width = "700", height = "600")
      )
    )
  )
}